<!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<title>sage</title>
		<link rel="stylesheet" type="text/css" href="css/easyui.css">
		<link rel="stylesheet" type="text/css" href="css/icon.css">
		<script type="text/javascript" src="js/lib/jquery.min.js"></script>
		<script type="text/javascript" src="js/lib/jquery.easyui.min.js"></script>
	</head>
	
	<body>
		<div class="seach_form_box box_shadow border5 clearfix margin20">
			<div class="seach_form">
				<form id="fensiguanliForm" action="" method="post">
					<ul class="clearfix">
						<li>
							<div>
								<span>OPENID:</span>
								<input class="form-control" type="text" name="openId" value=""></input>
							</div>
						</li>
						<li>
							<div>
								<span>昵称:</span>
								<input id="" size="16" type="text" class="form-control" name="nickName" value="">
							</div>
						</li>
						<li class="seach_form_li2">
							<div>
								<span>关注日期:</span>
								<input id="" size="16" type="text" class="Wdate date_input" onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',alwaysUseStartDate:true})" name="fromAttentionTime" value=""  readonly>
								<i class="input_date"></i>
							</div>
							<div class="and">
								<span>至:</span>
								<input id="" size="16" type="text" class="Wdate date_input" onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',alwaysUseStartDate:true})"  name="toAttentionTime" value="" readonly>
								<i class="input_date"></i>
							</div>
						</li>
						<li>
							<div>
								<!-- <span>性别:</span>
								<input class="form-control" type="text" name="sex" name=""></input> -->
								<span>性别:</span>
								<input type="hidden" name="equalGender" id="" value=""/>
								<input size="16" class="form-control" data-options="
										valueField:'id',textField:'text'" value="--请选择--" input-type="select" name="sex">
								<ul class="dropdown-menu" data="$.gender" data-options="valueField:'id',textField:'text'">
									<li data-id="" ><a href="javascript:;">--请选择--</a></li>
								</ul>
								<i class="input_icon input_down"></i>
							</div>
						</li>
						<li>
							<div>
								<span>二维码关注渠道:</span>
								<input type="hidden" name="equalOrgId" value="" />
								<input id="equalOrgId" class="form-control input140" type="text" value="" name="orgName"></input>
							</div>
						</li>
						<li>
							<div>
								<span>是否会员:</span>
								<input type="hidden" name="equalMember" id="" value=""/>
								<input size="16" class="form-control" data-options="
										valueField:'id',textField:'text'" value="--请选择--" input-type="select" name="isMember">
								<ul class="dropdown-menu" data="$.isMember" data-options="valueField:'id',textField:'text'">
									<li data-id="" ><a href="javascript:;">--请选择--</a></li>
								</ul>
								<i class="input_icon input_down"></i>
							</div>
						</li>
						<!-- <div class="detailed labelChoose">
							<div class="contactDetailed_title">选择区域/门店</div>
							<div style="height:200px;line-height:100px;overflow:auto;overflow-x:hidden;">
								<div class="zTreeDemoBackground left">
									<ul id="areaTree" class="ztree"></ul>
								</div>
							</div>
							<div class="contactDetailed_btn">
								<button id="areaSaveBtn" type="button" class="btn btn-success input90">确定</button>
								<button type="button" class="btn input90 detailed_close2">取消</button>
							</div>
						</div>
					</div> -->
					</ul>
					<button id="queryButton" type="button" class="btn common_content_seacch_btn"></button>
				</form>
				<!--区域弹出层-->
					<div id="areaChoose" class="mask none">
						<div class="detailed labelChoose">
							<div class="contactDetailed_title">选择区域/门店</div>
								<div style="height:200px;line-height:100px;overflow:auto;overflow-x:hidden;">
									<div class="zTreeDemoBackground left">
										<ul id="areaTree" class="ztree"></ul>
									</div>
								</div>
								<div class="contactDetailed_btn">
									<button id="areaSaveBtn" type="button" class="btn btn-success input90">保存</button>
									<button type="button" class="btn input90 detailed_close2">关闭</button>
								</div>
							</div>
					</div>
			</div>
		</div>
		<div class="common_content_btnList clearfix">
			<!-- <button id="fensixiangqingBtn" type="button" class="btn btn-success btn-block">查看</button> -->
			<!-- <button type="button" class="btn btn-block">编辑</button> -->
		</div>
		<div class="common_content_table box_shadow border10">
			<table id="fensiguanliTable" class="easyui-datagrid" style="width:100%;height:400px" data-options="pagination:true,singleSelect:true,collapsible:true,method:'post'">
				 <thead>
					<tr>
						<th data-options="field:'ck',checkbox:true"></th>
						<th data-options="field:'wechatFansId',width:0,halign:'center',hidden:true">ID</th>
						<th data-options="field:'openid',width:270,align:'center',halign:'center'">OPENID</th>
						<th data-options="field:'nickName',width:80,align:'center',halign:'center'">昵称</th>
						<th data-options="field:'sex',width:80,align:'center',halign:'center'">性别</th>
						<th data-options="field:'isFans',width:80,align:'center',halign:'center'">是否粉丝</th>
						<th data-options="field:'attentionTime',width:180,align:'center',halign:'center'
							,formatter:function(value, row, index) {return getDateString(value);}">关注时间</th>
						<th data-options="field:'cancelAttentionTime',width:180,align:'center',halign:'center'
							,formatter:function(value, row, index) {return getDateString(value);}">取消关注时间</th>
						<th data-options="field:'orgName',width:85,align:'center',halign:'center'">二维码关注渠道</th>
						<th data-options="field:'cty',width:80,align:'center',halign:'center'">地区</th>
						<th data-options="field:'remark',width:120,align:'center',halign:'center',
							formatter: function(value,row,index){
											if (row.WechatFans){
												return row.WechatFans.remark;
												} else {
													return value;
												}
									}">备注</th>
						<th data-options="field:'memberId',width:120,align:'center',halign:'center',
							formatter: function(value,row,index){
											if (value == null){
												return '否';
												} else {
													return '是';
												}
									}">是否会员</th>
						<th data-options="field:'operation',width:120,align:'center',halign:'center'
							,formatter:function(value, row, index) {return showFansDetail(value,row,index);}">操作</th>
						
					</tr>
				</thead> 
			</table>
		</div>
		<div id="" class="mask clearfix" style="display:none;">
			<div class="detailed xitongpeizhi_detailed tabPanel" style="width: 250px;">
				<button type="button" class="icon detailed_close"></button>
				<div class="common_content_title">备注名称</div>
				<div>
					<form>
						<div class="row">
							<div>
								<input type="password" class="form-control" id="">
							</div>
						</div>
						<button type="button" class="btn btn-success btn-block choose_btn">保存</button>
					</form>
				</div>
			</div>
		</div>
		<div id="fensixiangqing" class="mask clearfix none">
			<div class="detailed xitongpeizhi_detailed userDetailed_title tabPanel">
				<button type="button" class="icon detailed_close"></button>
				<div class="common_content_title">查看粉丝详情</div>
				<div>
					<form id="fensixiangqingform" method="get">
						<div class="row">
							<div class="user_img">
								<img src="" id="headImgUrl"/>
							</div>
						</div>
						<div class="row">
							<div class="col-xs-2">OPENID</div>
							<div class="col-xs-3" id="openId"></div>
							<div class="col-xs-offset-1 col-xs-2">昵称:</div>
							<div class="col-xs-3" id="nickName"></div>
						</div>
						<div class="row">
							<div class="col-xs-2">性别:</div>
							<div class="col-xs-3" id="sex"></div>
							<div class="col-xs-offset-1 col-xs-2">国家:</div>
							<div class="col-xs-3" id="country"></div>
						</div>
						<div class="row">
							<div class="col-xs-2">省份:</div>
							<div class="col-xs-3" id="province"></div>
							<div class="col-xs-offset-1 col-xs-2">城市:</div>
							<div class="col-xs-3" id="city"></div>
						</div>
						<div class="row">
							<div class="col-xs-2">是否粉丝:</div>
							<div class="col-xs-3" id="isFans"></div>
							<div class="col-xs-offset-1 col-xs-2">关注时间:</div>
							<div class="col-xs-3" id="attentionTime"></div>
						</div>
						<div class="row">
							<div class="col-xs-2">取消时间:</div>
							<div class="col-xs-3" id="cancelAttentionTime"></div>
						</div>
					</form>
				</div>
			</div>
		</div>
		<script type="text/javascript">
			$(function() {
				require(['wechatFansManage'], function(re) {
					re.init();
				});
				require(['view/member/selectTag'], function(re) {
					//re.init();
				});
				require(['view/member/tree'], function(re) {
					//re.init();
				});
			});
		</script>
	</body>

</html>